.sonni-newsletter-2026 {
    background-color: var(--sonni-lightgrey);
    color: var(--sonni-blue);
    padding: 50px 0 80px;
    text-align: center;

    .title,
    .description {
        margin: 0;
    }

    .description {
        max-width: 310px;
        margin-left: auto;
        margin-right: auto;
        margin-top: 18px;

        @media screen and (min-width: 768px) {
            max-width: 630px;
        }
    }

    div.klaviyo-form {
        display: flex;
        justify-content: center;
        margin-top: 34px;

        > div {
            @media screen and (max-width: 767px) {
                width: 100%;
            }
        }
    }

    form.klaviyo-form {
    
        div[data-testid="form-row"] {
            gap: 15px;

            @media screen and (max-width: 767px) {
                flex-direction: column !important;
            }

            > div {
                flex: auto;

                &:nth-child(1),
                &:nth-child(2) {
                    width: 100%;

                    @media screen and (min-width: 768px) {
                        width: 290px;
                    }
                }

                input[type="text"],
                input[type="email"] {
                    border: none;
                    border-bottom: 1px solid;
                    padding: 0;

                    &:focus-visible {
                        outline: none;
                    }
                }

                &:nth-child(3) {

                    @media screen and (max-width: 767px) {
                        justify-content: center !important;
                    }

                    button {
                        width: 122px;

                        @media screen and (max-width: 767px) {
                            margin-top: 20px;
                        }
                    }
                }
            }
        }
    }
}